package com.persagy.apm.diagnose.utils;

import java.beans.PropertyDescriptor;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.security.MessageDigest;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;
import org.springframework.core.convert.converter.Converter;
import org.springframework.core.convert.support.GenericConversionService;


/**
 * @ClassName CommonUtils
 * @author leifeng
 * @version 1.0.0
 * @Description 通用工具类
 * @createTime 2021/9/20 21:45
 */
public class CommonUtils {

	public static void sleep(long millisecond) {
		try {
			Thread.sleep(millisecond);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
		}
	}

	public static String getExceptionStackTrace(Exception e) {
		String result;
		StringWriter sw = null;
		PrintWriter pw = null;
		try {
			sw = new StringWriter();
			pw = new PrintWriter(sw);
			e.printStackTrace(pw);
			pw.flush();
			sw.flush();
			result = sw.toString();
		} catch (Exception ex) {
			result = "bad getErrorInfoFromException";
		} finally {
			if (pw != null) {
				pw.close();
			}
			if (sw != null) {
				try {
					sw.close();
				} catch (Exception ei) {
					// TODO Auto-generated catch block
				}
			}
		}
		return result;
	}
}
